<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.mogo.cloud">

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />

    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />
    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <application
        android:name=".MoGoApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".NSDNettyActivity"
            android:exported="false" />
        <activity
            android:name=".MainActivity"
            android:launchMode="singleTask">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ConfigInfoActivity"
            android:label="配置信息"
            android:launchMode="singleTask" />
        <activity
            android:name=".LivePlayAndPushActivity"
            android:label="直播 推送 和 播放"
            android:launchMode="singleTask"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".LivePlayActivity"
            android:label="直播播放"
            android:launchMode="singleTask"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".LivePlayOneActivity"
            android:label="直播播放"
            android:launchMode="singleTask"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".RealTimeActivity"
            android:label="实时数据测试"
            android:launchMode="singleTask" />
        <activity
            android:name=".LocationActivity"
            android:label="定位数据上报测试"
            android:launchMode="singleTask" />
        <activity
            android:name=".RoadConditionActivity"
            android:label="路况服务"
            android:launchMode="singleTask" />
        <activity
            android:name=".netty.client.NettyClientActivity"
            android:exported="false" />
        <activity
            android:name=".netty.server.NettyServerActivity"
            android:exported="false" />
    </application>

</manifest>